ExceptionMessage (Groovy 3.0.7)

Package org.codehaus.groovy.control.messages

## Class ExceptionMessage

- java.lang.Object
- - org.codehaus.groovy.control.messages.Message
  - - org.codehaus.groovy.control.messages.ExceptionMessage

-     public class ExceptionMessage
      extends Message

  A class for error messages produced by the parser system.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `debug` |
    `protected ProcessingUnit` | `owner` |
    `protected boolean` | `verbose` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExceptionMessage​(Exception cause, boolean debug, ProcessingUnit owner)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Exception` | `getCause()` | Returns the underlying Exception.
    `void` | `write​(PrintWriter output, Janitor janitor)` | Writes out a nicely formatted summary of the exception.

    - ### Methods inherited from class org.codehaus.groovy.control.messages.Message

      `create, create, create, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### verbose

          @Deprecated
          protected boolean verbose

      Deprecated.
      not used

    - #### debug

          protected final boolean debug

    - #### owner

          protected final ProcessingUnit owner

  - ### Constructor Detail

    - #### ExceptionMessage

          public ExceptionMessage​(Exception cause,
                                  boolean debug,
                                  ProcessingUnit owner)

  - ### Method Detail

    - #### getCause

          public Exception getCause()

      Returns the underlying Exception.

    - #### write

          public void write​(PrintWriter output,
                            Janitor janitor)

      Writes out a nicely formatted summary of the exception.
      Specified by:
        `write` in class `Message`